service system/initial {
	need = system/mountdev

	start {
		# Read system config data
		if [ -r /etc/sysconfig/system ]; then
			. /etc/sysconfig/system
		else
			CONSOLE_LOGLEVEL=1
			VSERVER=no
		fi

		if [ "$VSERVER" = "yes" ]; then
			exit 0
		fi

		# Set the path
		export PATH=/bin:/sbin:/usr/bin:/usr/sbin

		# PLD LiveCD support
		if [ -x /etc/rc.d/rc.live ]; then
			/etc/rc.d/rc.live
		fi

		# Read functions
		. /etc/rc.d/init.d/functions

		# Choose Hardware profile
		rm -f /var/run/hwprofile 2> /dev/null # /var is ro so this doesn't work!
		if [ -f /etc/sysconfig/hwprof ]; then
			. /etc/sysconfig/hwprof
			if is_yes "${HWPROFILES}" && [ -x /sbin/hwprofile -a -d /etc/sysconfig/hwprofiles/data ]; then
			   mount -n / -o rw,remount
			   /sbin/hwprofile -qf
			   mount -n / -o ro,remount
			fi
		fi

		if [ -x /sbin/start_udev ]; then
			/sbin/start_udev
		fi

		# Configure Linux kernel (initial configuration, some required modules still
		# may be missing).
		/sbin/sysctl -e -p /etc/sysctl.conf > /dev/null 2>&1

		# Set console loglevel
		if [ -n "$CONSOLE_LOGLEVEL" ]; then
			/bin/dmesg -n $CONSOLE_LOGLEVEL
		fi

		if [ -x /sbin/restorecon ] && LC_ALL=C fgrep -q " /dev " /proc/mounts ; then
			/sbin/restorecon  -R /dev 2>/dev/null
		fi

		# FIXME: $CONSOLETYPE unset
		if [ "$CONSOLETYPE" = "vt" -a -x /sbin/setsysfont ]; then
			run_cmd "Setting default font" /sbin/setsysfont
		fi

	}
}

# vim:ai
